
Redmine - Defect #4063

login error 500 only with one user

2009-10-21 08:30 - Thomas D

Status: Closed Start date: 2009-10-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I have a redmine install which works properly for all my users but one. When he logs in, I get an error 500:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

 Here is my environment:

Ruby version              1.8.5 (i386-linux)

RubyGems version          1.3.2

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Application root          /opt/redmine-0.8

Environment               development

Database adapter          mysql

About your Redmine plugins

Redmine Question plugin    0.3.0

Redmine Graphs plugin      0.1.0

Redmine Schedules plugin   0.4.2

Stuff To Do Plugin         0.3.0

 I get the following in the log:

ActionView::TemplateError (undefined method `unpack' for nil:NilClass) on line #33 of welcome/inde

x.rhtml:

30: </div>

31:

32: <% content_for :header_tags do %>

33: <%= auto_discovery_link_tag(:atom, {:controller => 'news', :action => 'index', :key => User.cu

rrent.rss_key, :format => 'atom'},

34:                                    :title => "#{Setting.app_title}: #{l(:label_news_latest)}")

 %>

35: <%= auto_discovery_link_tag(:atom, {:controller => 'projects', :action => 'activity', :key => 

User.current.rss_key, :format => 'atom'},

36:                                    :title => "#{Setting.app_title}: #{l(:label_activity)}") %>

    /usr/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/rails_generator/secret_key_generator.rb:90:in `gen

erate_secret_with_urandom'

    /usr/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/rails_generator/secret_key_generator.rb:21:in `sen

d'

    /usr/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/rails_generator/secret_key_generator.rb:21:in `gen

erate_secret'

    app/models/token.rb:42:in `generate_token_value'
    app/models/token.rb:27:in `before_create'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/callbacks.rb:301:in `send'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/callbacks.rb:301:in `callback

'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/callbacks.rb:219:in `create_w

ithout_timestamps'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/timestamp.rb:29:in `create'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/base.rb:2483:in `create_or_up

date_without_callbacks'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/callbacks.rb:207:in `create_o

r_update'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/base.rb:2211:in `save_without

_validation'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/validations.rb:911:in `save_w

ithout_dirty'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/dirty.rb:75:in `save_without_

transactions'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:106:in `save'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/

database_statements.rb:66:in `transaction'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:79:in `transa

ction'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:98:in `transa

ction'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:106:in `save'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:118:in `rollb

ack_active_record_state!'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/transactions.rb:106:in `save'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/base.rb:644:in `create'

    app/models/user.rb:156:in `rss_key'

    app/views/welcome/index.rhtml:33:in `_run_erb_47app47views47welcome47index46rhtml'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/helpers/capture_helper.rb:141:in 

`call'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/helpers/capture_helper.rb:141:in 

`capture_erb_with_buffer'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/helpers/capture_helper.rb:44:in `

capture'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/helpers/capture_helper.rb:125:in 

`content_for'

    app/helpers/application_helper.rb:599:in `content_for'

    app/views/welcome/index.rhtml:32:in `_run_erb_47app47views47welcome47index46rhtml'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/base.rb:342:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/base.rb:342:in `execute'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/template_handlers/compilable.rb:2

9:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/template_handlers/compilable.rb:2

9:in `render'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/template.rb:35:in `render'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/template.rb:22:in `render_templat

e'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_view/base.rb:248:in `render_file'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1112:in `render_for

_file'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:845:in `render_with

_no_layout'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/layout.rb:251:in `render_wi

thout_benchmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:51:in `rend

er'

    /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/core_ext/benchmark.rb:8:in 

`realtime'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:51:in `rend

er'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1161:in `default_re

nder'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1167:in `perform_ac

tion_without_filters'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:579:in `call_fil

ters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:572:in `perform_

action_without_benchmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/rescue.rb:201:in `perform_a

ction_without_caching'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:13:in 

`perform_action'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/

query_cache.rb:33:in `cache'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/query_cache.rb:8:in `cache'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:12:in 

`perform_action'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in `process_wit

hout_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:568:in `process_

without_session_management_support'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/session_management.rb:130:i

n `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:389:in `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:149:in `handl

e_request'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:107:in `dispa

tch'

    /usr/lib/ruby/1.8/thread.rb:135:in `synchronize'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in `dispa

tch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:120:in `dispa

tch_cgi'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:35:in `dispat

ch'

    /usr/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/webrick_server.rb:112:in `handle_dispatch'

    /usr/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/webrick_server.rb:78:in `service'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    /usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

    /usr/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/webrick_server.rb:62:in `dispatch'

    /usr/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/commands/servers/webrick.rb:66

    /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

    /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:510:in `req

uire'

    /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:355:in `new

_constants_in'

    /usr/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:510:in `req

uire'

    /usr/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/commands/server.rb:39

    /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'

    script/server:3

Rendering /opt/redmine-0.8/public/500.html (500 Internal Server Error)
History

#1 - 2009-10-21 09:49 - Thomas D

- Status changed from New to Resolved

ok, I found the problem:

I am using OpenVZ and my /dev/urandom wasn't working (which happens sometimes) so it returned a null and the unpack method failed (not knowing

anything about Ruby threw me around for a little while).

So, this is NOT a redmine problem.

#2 - 2009-10-22 19:00 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid
